Issue 9427

Title
Use custom colors and material design
Priority
feature
Status
resolved
Superseder
Align tabcontent bottom with menu bottom (issue 9454)
Project-Id-Version: Roundup 0.7.0 Report-Msgid-Bugs-To: roundup-devel@lists.sourceforge.net POT-Creation-Date: 2020-07-12 23:40-0400 PO-Revision-Date: 2004-11-20 13:47+0200 Language-Team: English Language: MIME-Version: 1.0 Content-Type: text/plain; charset=us-ascii
Remove hard coded default colors for graph and calendar (issue 9435)
Nosy list
ced, pokoli, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2020-06-18.01:29:58 by ced, last changed 5 months ago by roundup-bot.

Files

File name Uploaded Type Details
Screenshot_2020-06-18 Parties - Tryton.png ced, 2020-06-18.01:38:47 image/png view
Screenshot_2020-06-18 Parties - Tryton.png ced, 2020-06-18.01:38:59 image/png view
Screenshot_2020-06-18 Products - Tryton.png ced, 2020-06-18.01:39:10 image/png view
Screenshot_2020-06-18 Sales - Tryton(1).png ced, 2020-06-18.01:39:32 image/png view
Screenshot_2020-06-18 Sales - Tryton(2).png ced, 2020-06-18.01:39:41 image/png view
Screenshot_2020-06-18 Sales - Tryton(3).png ced, 2020-06-18.01:39:49 image/png view
Screenshot_2020-06-18 Sales - Tryton.png ced, 2020-06-18.01:39:22 image/png view

Messages

New changeset 2b3d432ee086 by Cédric Krier in branch 'default':
Customize default bootstrap theme
https://hg.tryton.org/tryton-env/rev/2b3d432ee086
New changeset 6e5f752025b9 by Cédric Krier in branch 'default':
Customize default bootstrap theme
https://hg.tryton.org/sao/rev/6e5f752025b9
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-06-22.12:18:06
To have proper theme for calendar and graph, we need issue9435
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-06-20.21:00:20
I think I fixed all the rendering issue with this theme.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-06-19.02:08:37
I found a solution by creating a symlink in bower_component using a Grunt task.
Now I find many issues with the custom checkbox. I'm wondering if we should not keep the standard one even if we loose the color theming.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-06-18.01:38:47
Here is review294011002
There is just one issue which is that for now I need to create a symlink bootstrap -> bower_components/bootstrap to allow bootstrap-rtl-ondemand to import "../bootstrap/less/variables.less". It does not make really sense because I add bower_components in the less path. If someone has any idea.

I attach some screenshot of the result.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-06-18.01:29:56
Following https://discuss.tryton.org/t/use-a-theme-for-demo-web-client/2733

bootswatch theme can not be used as custom.css because indeed they are a complete generation of the bootstrap style using different variables and custom rules.
Indeed it seems that it is the best way to customize and maintain such custom theme.

So I propose compile the sao style by importing bootstrap code so we can override the variables.
This way we can reuse the colors from www.tryton.org and include the customization of the paper bootswatch theme.
We may try to import also an option custom.less file to allow customization like the custom.css.
History
Date User Action Args
2020-08-16 17:45:46roundup-botsetmessages: + msg59757
2020-08-16 17:45:43roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg59756
2020-08-15 00:15:32reviewbotsetmessages: + msg59738
2020-08-12 21:51:02reviewbotsetmessages: + msg59716
2020-08-03 00:25:05reviewbotsetmessages: + msg59593
2020-07-05 11:44:51reviewbotsetmessages: + msg59000
2020-07-05 01:15:06reviewbotsetmessages: + msg58996
2020-07-05 00:42:24cedsetsuperseder: + Align tabcontent bottom with menu bottom
2020-06-23 00:25:53reviewbotsetmessages: + msg58825
2020-06-22 12:28:42reviewbotsetmessages: + msg58822

Showing 10 items. Show all history (warning: this could be VERY long)